<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;soapenv:Header/>&lt;soapenv:Body>&lt;ns1:getUserOrganizationsResponse xmlns:ns1="http://http.service.liferay.portal.ibis.inubit.com" soapenv:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/">&lt;getUserOrganizationsReturn xmlns:ns2="http://model.liferay.portal.ibis.inubit.com" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="ns2:OrganizationSoap[1]" xsi:type="soapenc:Array">&lt;getUserOrganizationsReturn xsi:type="ns2:OrganizationSoap">&lt;comments xsi:type="soapenc:string"/>&lt;companyId xsi:type="soapenc:string">liferay.com&lt;/companyId>&lt;countryId xsi:type="soapenc:string">0&lt;/countryId>&lt;location xsi:type="xsd:boolean">false&lt;/location>&lt;name xsi:type="soapenc:string">Asset Management mit ganz langem Name&lt;/name>&lt;organizationId xsi:type="soapenc:string">12021&lt;/organizationId>&lt;parentOrganizationId xsi:type="soapenc:string">0&lt;/parentOrganizationId>&lt;primaryKey xsi:type="soapenc:string">12021&lt;/primaryKey>&lt;recursable xsi:type="xsd:boolean">true&lt;/recursable>&lt;regionId xsi:type="soapenc:string">0&lt;/regionId>&lt;statusId xsi:type="soapenc:string">12017&lt;/statusId>&lt;/getUserOrganizationsReturn>&lt;/getUserOrganizationsReturn>&lt;/ns1:getUserOrganizationsResponse>&lt;/soapenv:Body>&lt;/soapenv:Envelope></Property>
	<Property name="xslt.params" type="List">
		<Property name="var.userResponse">var.userResponse</Property>
	</Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">api.bl.501_userFromLiferay</Property>
		<Property name="ISServerName">dev02.virtimo.net</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>kaufhold&lt;/login>&lt;/userContext></Property>
		<Property name="ISInvokingWorkflow">api.bl.001_api</Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleId">10</Property>
		<Property name="var.loginName">root</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISGlobalProcessId">800654</Property>
		<Property name="var.datastream">&lt;api>&lt;organizationId>12345&lt;/organizationId>&lt;requests>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;withUser>false&lt;/withUser>&lt;parameters>&lt;getActions>true&lt;/getActions>&lt;start>0&lt;/start>&lt;limit>120&lt;/limit>&lt;sorters>&lt;sorter>&lt;key>template.displayName&lt;/key>&lt;direction>asc&lt;/direction>&lt;/sorter>&lt;sorter>&lt;key>displayName&lt;/key>&lt;direction>asc&lt;/direction>&lt;/sorter>&lt;/sorters>&lt;/parameters>&lt;/request>&lt;/requests>&lt;/api></Property>
		<Property name="var.userResponse" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;soapenv:Header/>&lt;soapenv:Body>&lt;ns1:getLiferayUserExtByNameOrIdResponse xmlns:ns1="http://http.service.liferay.portal.ibis.inubit.com" soapenv:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/">&lt;getLiferayUserExtByNameOrIdReturn xmlns:ns2="http://model.liferay.portal.ibis.inubit.com" xsi:type="ns2:InubitLiferayUserSoapExt">&lt;active xsi:type="xsd:boolean">true&lt;/active>&lt;addEmailAddress xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="ns2:InubitEmailAddressSoap[0]" xsi:type="soapenc:Array">&lt;/addEmailAddress>&lt;address xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="ns2:InubitAddressSoap[0]" xsi:type="soapenc:Array">&lt;/address>&lt;agreedToTermsOfUse xsi:type="xsd:boolean">false&lt;/agreedToTermsOfUse>&lt;attributes xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="ns2:InubitAttributeSoap[0]" xsi:type="soapenc:Array">&lt;/attributes>&lt;birthday xsi:type="xsd:dateTime">1969-12-31T23:00:00.000Z&lt;/birthday>&lt;comments xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">&lt;/comments>&lt;companyId xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">liferay.com&lt;/companyId>&lt;contactId xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">10197&lt;/contactId>&lt;createDate xsi:type="xsd:dateTime">2013-02-04T10:12:09.000Z&lt;/createDate>&lt;defaultUser xsi:type="xsd:boolean">false&lt;/defaultUser>&lt;emailAddress xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">smith@example.com&lt;/emailAddress>&lt;employeeNumber xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">&lt;/employeeNumber>&lt;employeeStatusId xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">&lt;/employeeStatusId>&lt;failedLoginAttempts xsi:type="xsd:int">1&lt;/failedLoginAttempts>&lt;firstName xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">James&lt;/firstName>&lt;greeting xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">Welcome Test Test!&lt;/greeting>&lt;jobClass xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:nil="true" xsi:type="soapenc:string">&lt;/jobClass>&lt;jobTitle xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">&lt;/jobTitle>&lt;languageId xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">de_DE&lt;/languageId>&lt;lastLoginDate xsi:type="xsd:dateTime">2015-09-21T12:08:13.489Z&lt;/lastLoginDate>&lt;lastLoginIP xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">213.73.98.80&lt;/lastLoginIP>&lt;lastName xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">Smith&lt;/lastName>&lt;loginDate xsi:type="xsd:dateTime">2015-09-22T09:13:01.909Z&lt;/loginDate>&lt;loginIP xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">213.73.98.80&lt;/loginIP>&lt;male xsi:type="xsd:boolean">true&lt;/male>&lt;middleName xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">&lt;/middleName>&lt;modifiedDate xsi:type="xsd:dateTime">2015-04-21T14:34:00.899Z&lt;/modifiedDate>&lt;nickName xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:nil="true" xsi:type="soapenc:string">&lt;/nickName>&lt;orgIds xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="soapenc:string[1]" xsi:type="soapenc:Array">&lt;orgIds xsi:type="soapenc:string">Asset Management&lt;/orgIds>&lt;/orgIds>&lt;password xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">ZaWM+HzUpeFpBMC6j7mLTPNz4yU=&lt;/password>&lt;passwordEncrypted xsi:type="xsd:boolean">true&lt;/passwordEncrypted>&lt;passwordExpirationDate xsi:nil="true" xsi:type="xsd:dateTime"/>&lt;passwordReset xsi:type="xsd:boolean">false&lt;/passwordReset>&lt;phone xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="ns2:InubitPhoneNrSoap[0]" xsi:type="soapenc:Array">&lt;/phone>&lt;prefix xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:nil="true" xsi:type="soapenc:string">&lt;/prefix>&lt;primaryKey xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">10196&lt;/primaryKey>&lt;resolution xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:nil="true" xsi:type="soapenc:string">&lt;/resolution>&lt;roleIds xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="soapenc:string[8]" xsi:type="soapenc:Array">&lt;roleIds xsi:type="soapenc:string">EPM Admin&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">Power User&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">User&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">EPM Superuser&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">EPM Integration&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">EPM User&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">Administrator&lt;/roleIds>&lt;roleIds xsi:type="soapenc:string">vpp-administrator&lt;/roleIds>&lt;/roleIds>&lt;screenName xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">root&lt;/screenName>&lt;suffix xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:nil="true" xsi:type="soapenc:string">&lt;/suffix>&lt;timeZoneId xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:nil="true" xsi:type="soapenc:string">&lt;/timeZoneId>&lt;userGroupIds xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="soapenc:string[0]" xsi:type="soapenc:Array">&lt;/userGroupIds>&lt;userId xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">10196&lt;/userId>&lt;uuid xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xsi:type="soapenc:string">faf06736-a772-4b48-8865-524b3040998c&lt;/uuid>&lt;website xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" soapenc:arrayType="ns2:InubitWebsiteSoap[0]" xsi:type="soapenc:Array">&lt;/website>&lt;/getLiferayUserExtByNameOrIdReturn>&lt;/ns1:getLiferayUserExtByNameOrIdResponse>&lt;/soapenv:Body>&lt;/soapenv:Envelope></Property>
		<Property name="ISInvokingModule">api.bl.003.wfc_attachUser</Property>
		<Property name="ISCurrentTime">1442928094560</Property>
		<Property name="var.organizationId">12345</Property>
		<Property name="ISProcessId">800738</Property>
		<Property name="var.portalConfiguration" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;portalConfiguration>&lt;uriPrefix>http://localhost:18000/api/secure/axis&lt;/uriPrefix>&lt;loginName>root&lt;/loginName>&lt;password>0kYkAKe3NOTiS3HRUCAd&lt;/password>&lt;/portalConfiguration></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api> 
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_API&lt;/loginName>  
        &lt;password>VPP_API&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>true&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT0H0M1S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress> 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting> 
  &lt;/api>&lt;am> 
      
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_AM&lt;/loginName>  
        &lt;password>VPP_AM&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName&gt;sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;startTimestamp>1442925207531&lt;/startTimestamp>&lt;/session></Property>
		<Property name="ISModuleName">api.dem_demux</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ns1="http://http.service.liferay.portal.ibis.inubit.com" xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" exclude-result-prefixes="#all" version="2.0">  
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.userResponse" as="element()"/>  
    
    
    
    
    
  &lt;xsl:template match="/*"> 
    &lt;user>&lt;xsl:variable name="var.user" select="$var.userResponse/soapenv:Body/ns1:getLiferayUserExtByNameOrIdResponse/getLiferayUserExtByNameOrIdReturn" as="element()"/> 
      &lt;id> 
        &lt;xsl:value-of select="$var.user/userId"/> 
      &lt;/id>&lt;xsl:variable name="var.name" select="concat($var.user/firstName, ' ', if ($var.user/middleName != '') then concat($var.user/middleName, ' ') else '', $var.user/lastName)"/>&lt;xsl:variable name="var.displayName" select="if (string-length($var.name) &amp;gt; 33) then concat(substring($var.name, 1, 30), '...') else $var.name"/>  
        
        
      &lt;loginName> 
        &lt;xsl:value-of select="$var.user/screenName"/> 
      &lt;/loginName>  
      &lt;name>&lt;xsl:value-of select="$var.name"/>&lt;/name>  
      &lt;eMailAddress> 
        &lt;xsl:value-of select="$var.user/emailAddress"/> 
      &lt;/eMailAddress>  
      &lt;active> 
        &lt;xsl:value-of select="$var.user/active"/> 
      &lt;/active>  
      &lt;locale> 
        &lt;xsl:value-of select="$var.user/languageId"/> 
      &lt;/locale&gt;  
      &lt;language>&lt;xsl:value-of select="substring-before($var.user/languageId, '_')"/>&lt;/language>  
      &lt;country>&lt;xsl:value-of select="substring-after($var.user/languageId, '_')"/> 
         
      &lt;/country>&lt;xsl:variable name="var.timestamp" select="adjust-dateTime-to-timezone(current-dateTime(), xs:dayTimeDuration('PT0H'))"/>  
      &lt;organizations> 
        &lt;xsl:for-each select="soapenv:Body/ns1:getUserOrganizationsResponse/getUserOrganizationsReturn/getUserOrganizationsReturn"> 
          &lt;organization> 
            &lt;id> 
              &lt;xsl:value-of select="organizationId"/> 
            &lt;/id>  
              
            &lt;name> 
              &lt;xsl:value-of select="name"/> 
            &lt;/name>  
              
              
              
             
          &lt;/organization> 
        &lt;/xsl:for-each> 
      &lt;/organizations>&lt;roles>&lt;xsl:for-each select="$var.user/roleIds/roleIds"> 
          &lt;role> 
            &lt;xsl:value-of select="."/> 
          &lt;/role> 
        &lt;/xsl:for-each>&lt;/roles>&lt;permissions&gt; 
         
      &lt;/permissions>  
        
        
        
        
        
       
    &lt;/user> 
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
</Properties>